Get trader funding history
curl --request GET \
--url https://perp-api.phoenix.trade/v1/trader/{authority}/funding-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://perp-api.phoenix.trade/v1/trader/{authority}/funding-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://perp-api.phoenix.trade/v1/trader/{authority}/funding-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"fundingPayment": "<string>",
"fundingRatePercentage": "<string>",
"positionSide": "<string>",
"positionSize": "<string>",
"symbol": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>",
"prevCursor": "<string>"
}Trader
Get trader funding history
Handles GET /v1/trader/{authority}/funding-history via get.v1.trader.by_authority.funding_history.
GET
/
v1
/
trader
/
{authority}
/
funding-history
Get trader funding history
Authorizations
Bearer access token issued by /v1/auth/* login endpoints.
Path Parameters
Authority pubkey
Query Parameters
⌘I